Bug 224670 - news/inn: build fails under poudriere with default option UUCP_RNEWS
Summary: news/inn: build fails under poudriere with default option UUCP_RNEWS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kevin Bowling
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-29 13:08 UTC by Kevin Bowling
Modified: 2019-11-10 23:19 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Bowling freebsd_committer 2017-12-29 13:08:23 UTC
libtool: install: ../support/install-sh -c -o 65534 -g uucp -m 04550 -B .OLD .libs/rnews /wrkdirs/usr/ports/news/inn/work/stage/usr/local/news/bin/rnews
chgrp: you are not a member of group uucp

I think UUCP_RNEWS should be off by default as well
Comment 1 Rene Ladan freebsd_committer 2019-11-04 21:27:59 UTC
Maintainer reset.
Comment 2 Kevin Bowling freebsd_committer 2019-11-06 02:05:56 UTC
https://reviews.freebsd.org/D22254
Comment 3 commit-hook freebsd_committer 2019-11-10 23:18:45 UTC
A commit references this bug:

Author: kbowling
Date: Sun Nov 10 23:18:25 UTC 2019
New revision: 517238
URL: https://svnweb.freebsd.org/changeset/ports/517238

Log:
  news/inn: Update to 2.6.3 and fix rnews

  Update to 2.6.3 and fix a sandbox violation with the default build options when building under i.e. poudriere by moving rnews permissions to the plist.

  Changelog https://www.eyrie.org/~eagle/software/inn/docs-2.6/news.html#S2

  PR:		224670
  Approved by:	krion (mentor)
  Sponsored by:	BBOX.io
  Differential Revision:	https://reviews.freebsd.org/D22254

Changes:
  head/news/inn/Makefile
  head/news/inn/distinfo
  head/news/inn/pkg-plist
Comment 4 Kevin Bowling freebsd_committer 2019-11-10 23:19:09 UTC
Fixed in above commit